Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160486 - netatalk init script doesn't handle CNID_METAD_RUN=yes
Summary: netatalk init script doesn't handle CNID_METAD_RUN=yes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: netatalk
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 13:35 UTC by Frank Heldt
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 02:18:05 UTC


Attachments (Terms of Use)
Removes some old cruft from the spec file (deleted)
2005-06-17 12:17 UTC, Frank Heldt
no flags Details | Diff

Description Frank Heldt 2005-06-15 13:35:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
The init script "/etc/init.d/atalk" does not take account of CNID_METAD_RUN=yes, defined in "/etc/atalk/netatalk.conf". "cnid_metad" is very important to prevent database corruptions in .AppleDB, so i consider this a bug.

BTW, the whole init script does look a little strange (what does ATALK_BGROUND give?).

Beside this, as a hint/wish: netatalk-2.0.3 is released and has some bugs fixed...

Version-Release number of selected component (if applicable):
netatalk-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Just look at /etc/init.d/atalk ...
  

Additional info:

Comment 1 Jason Vas Dias 2005-06-16 21:57:56 UTC
Yes, I agree - the old /etc/init.d/atalk had alot of inexplicable
features added by a maintainer who is no longer here.

I've now added netatalk-2.0.3-1 to rawhide . This uses the netatalk
distribution's initscript, which does not have these problems.

netatalk-2.0.3-1 should be in rawhide-20050617, and it can also be
downloaded from: http://people.redhat.com/~jvdias/netatalk/ . 

Please try out the new version - if there are no problems with it,
I'll get it added to fc4-updates shortly. Thank You!
 

Comment 2 Frank Heldt 2005-06-17 12:17:48 UTC
Created attachment 115604 [details]
Removes some old cruft from the spec file

Old atalk and some patches are not needed anymore with netatalk-2.0.3

Comment 3 Frank Heldt 2005-06-17 12:19:55 UTC
The new version works like a charm, thank you. (Tested with MacOSX 
10.3.9 and 10.4.1 on x86_64)

But while you're on it, why not remove some cruft from the 
netatalk.spec file (patch attached)

Comment 4 Rahul Sundaram 2005-09-05 05:57:12 UTC
Frank Heldt,

Kindly file a seperate bug report on the patch cleanup, Mixing several issues on
the same report is not a good practise. Closing this one

Comment 5 FX 2006-01-27 22:41:27 UTC
(In reply to comment #1)
> I've now added netatalk-2.0.3-1 to rawhide . This uses the netatalk
> distribution's initscript, which does not have these problems.
> 
> netatalk-2.0.3-1 should be in rawhide-20050617, and it can also be
> downloaded from: http://people.redhat.com/~jvdias/netatalk/ . 
> 
> Please try out the new version - if there are no problems with it,
> I'll get it added to fc4-updates shortly. Thank You!

Well, it's still not in fc4-updates, and the netatalk currently in fc4 is really not usable (mainly because 
the cnid_metad is never started). Could you please do it?

Comment 6 Bill Nottingham 2006-09-22 02:18:05 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.